Bug 636832

Summary: domxml-to-native always set rtl8139 for networking
Product: [Fedora] Fedora Reporter: Juan Quintela <quintela>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 17CC: berrange, clalance, crobinso, itamar, jforbes, lveyde, maurizio.antillon, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 21:45:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Domain file none

Description Juan Quintela 2010-09-23 08:59:37 EDT
Created attachment 449207 [details]
Domain file

Description of problem:

virsh domainxml-to-native always sets network device as rtl8139, independently of the image.


Version-Release number of selected component (if applicable):

libvirt-0.8.2-1.fc13.x86_64, but also happens on F14 rc.

How reproducible:

always.

Steps to Reproduce:
1. dump a domain
   virsh dumpxml f14X-64 > f14X-64.xml
2. create the command line version
   virsh domxml-to-native qemu-argv f14X-64.xml

  
Actual results:

Notice the -device rtl8139 part.

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin HOME=/root USER=root LOGNAME=root QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.13 -enable-kvm -m 2048 -smp 1,sockets=1,cores=1,threads=1 -name f14X-64 -uuid 0801d2e5-6f7f-eb7b-4a3c-30aa72e0b205 -nodefconfig -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/f14X-64.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -no-reboot -boot n -drive file=/mnt/images/test.img,if=none,id=drive-virtio-disk0,format=qcow2 -device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk0,id=virtio-disk0 -device rtl8139,vlan=0,id=net0,mac=00:00:00:00:00:00 -net tap,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k es -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5 

Expected results:

The same command line with s/rtl8139/virtio/.

Additional info:

Included domain xml file that generated that command line.
Comment 1 Bug Zapper 2011-05-31 08:46:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Cole Robinson 2011-06-10 14:05:27 EDT
Still relevant, moving to rawhide
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:50:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 13:53:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-09-22 13:58:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:30:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 14:34:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 14:41:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-11-30 14:52:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Cole Robinson 2012-06-07 09:50:08 EDT
Still seems relevant on F16, reassigning there, since rawhide issues never really get fixed it seems :)
Comment 11 Cole Robinson 2012-10-20 22:51:27 EDT
Patch sent upstream:

https://www.redhat.com/archives/libvir-list/2012-October/msg01120.html
Comment 12 Cole Robinson 2012-10-27 13:00:14 EDT
Not really important enough to push an F16 update for, so moving to F17
Comment 13 Fedora Update System 2012-10-27 18:15:22 EDT
libvirt-0.9.11.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.7-1.fc17
Comment 14 Fedora Update System 2012-10-29 23:51:02 EDT
Package libvirt-0.9.11.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.11.7-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17206/libvirt-0.9.11.7-1.fc17
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-11-14 21:45:17 EST
libvirt-0.9.11.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Lev Veyde 2012-12-05 11:35:23 EST
What is the reason why the MAC address is replaced with all zeroes during the convert?